# Class JndiRefConnectionPoolDataSource

java.lang.Object
com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
com.mchange.v2.c3p0.impl.IdentityTokenResolvable
com.mchange.v2.c3p0.JndiRefConnectionPoolDataSource

All Implemented Interfaces:
  `com.mchange.v2.c3p0.impl.IdentityTokenized, Serializable, Referenceable, CommonDataSource, ConnectionPoolDataSource`

public final class JndiRefConnectionPoolDataSource extends com.mchange.v2.c3p0.impl.IdentityTokenResolvable implements ConnectionPoolDataSource, Serializable, Referenceable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JndiRefConnectionPoolDataSource()`
`JndiRefConnectionPoolDataSource(boolean autoregister)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAcquireIncrement()`
`int`
`getAcquireRetryAttempts()`
`int`
`getAcquireRetryDelay()`
`String`
`getAutomaticTestTable()`
`int`
`getCheckoutTimeout()`
`String`
`getConnectionTesterClassName()`
`String`
`getFactoryClassLocation()`
`String`
`getIdentityToken()`
`int`
`getIdleConnectionTestPeriod()`
`int`
`getInitialPoolSize()`
`Hashtable`
`getJndiEnv()`
`Object`
`getJndiName()`
`int`
`getLoginTimeout()`
`PrintWriter`
`getLogWriter()`
`int`
`getMaxIdleTime()`
`int`
`getMaxPoolSize()`
`int`
`getMaxStatements()`
`int`
`getMaxStatementsPerConnection()`
`int`
`getMinPoolSize()`
`Logger`
`getParentLogger()`
`PooledConnection`
`getPooledConnection()`
`PooledConnection`
`getPooledConnection(String user, String password)`
`String`
`getPreferredTestQuery()`
`int`
`getPropertyCycle()`
`Reference`
`getReference()`
`boolean`
`isAutoCommitOnClose()`
`boolean`
`isBreakAfterAcquireFailure()`
`boolean`
`isForceIgnoreUnresolvedTransactions()`
`boolean`
`isJndiLookupCaching()`
`boolean`
`isTestConnectionOnCheckin()`
`boolean`
`isTestConnectionOnCheckout()`
`boolean`
`isUsesTraditionalReflectiveProxies()`
`void`
`setAcquireIncrement(int acquireIncrement)`
`void`
`setAcquireRetryAttempts(int ara)`
`void`
`setAcquireRetryDelay(int ard)`
`void`
`setAutoCommitOnClose(boolean autoCommitOnClose)`
`void`
`setAutomaticTestTable(String att)`
`void`
`setBreakAfterAcquireFailure(boolean baaf)`
`void`
`setCheckoutTimeout(int ct)`
`void`
`setConnectionTesterClassName(String connectionTesterClassName)`
`void`
`setFactoryClassLocation(String factoryClassLocation)`
`void`
`setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)`
`void`
`setIdentityToken(String identityToken)`
`void`
`setIdleConnectionTestPeriod(int idleConnectionTestPeriod)`
`void`
`setInitialPoolSize(int initialPoolSize)`
`void`
`setJndiEnv(Hashtable jndiEnv)`
`void`
`setJndiLookupCaching(boolean caching)`
`void`
`setJndiName(Object jndiName)`
`void`
`setLoginTimeout(int seconds)`
`void`
`setLogWriter(PrintWriter out)`
`void`
`setMaxIdleTime(int maxIdleTime)`
`void`
`setMaxPoolSize(int maxPoolSize)`
`void`
`setMaxStatements(int maxStatements)`
`void`
`setMaxStatementsPerConnection(int mspc)`
`void`
`setMinPoolSize(int minPoolSize)`
`void`
`setPreferredTestQuery(String ptq)`
`void`
`setPropertyCycle(int propertyCycle)`
`void`
`setTestConnectionOnCheckin(boolean testConnectionOnCheckin)`
`void`
`setTestConnectionOnCheckout(boolean testConnectionOnCheckout)`
`void`
`setUsesTraditionalReflectiveProxies(boolean utrp)`
`String`
`toString()`

### Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable

`doResolve, readResolve, verifyResolve`

### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized

`equals, hashCode`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface ConnectionPoolDataSource

`createPooledConnectionBuilder`

## Constructor Details

### JndiRefConnectionPoolDataSource

public JndiRefConnectionPoolDataSource()

### JndiRefConnectionPoolDataSource

public JndiRefConnectionPoolDataSource(boolean autoregister)

## Method Details

### isJndiLookupCaching

public boolean isJndiLookupCaching()

### setJndiLookupCaching

public void setJndiLookupCaching(boolean caching)

### getJndiEnv

public Hashtable getJndiEnv()

### setJndiEnv

public void setJndiEnv(Hashtable jndiEnv)

### getJndiName

public Object getJndiName()

### setJndiName

public void setJndiName(Object jndiName) throws PropertyVetoException

Throws:
  `PropertyVetoException`

### getAcquireIncrement

public int getAcquireIncrement()

### setAcquireIncrement

public void setAcquireIncrement(int acquireIncrement)

### getAcquireRetryAttempts

public int getAcquireRetryAttempts()

### setAcquireRetryAttempts

public void setAcquireRetryAttempts(int ara)

### getAcquireRetryDelay

public int getAcquireRetryDelay()

### setAcquireRetryDelay

public void setAcquireRetryDelay(int ard)

### isAutoCommitOnClose

public boolean isAutoCommitOnClose()

### setAutoCommitOnClose

public void setAutoCommitOnClose(boolean autoCommitOnClose)

### setAutomaticTestTable

public void setAutomaticTestTable(String att)

### getAutomaticTestTable

public String getAutomaticTestTable()

### setBreakAfterAcquireFailure

public void setBreakAfterAcquireFailure(boolean baaf)

### isBreakAfterAcquireFailure

public boolean isBreakAfterAcquireFailure()

### setCheckoutTimeout

public void setCheckoutTimeout(int ct)

### getCheckoutTimeout

public int getCheckoutTimeout()

### getConnectionTesterClassName

public String getConnectionTesterClassName()

### setConnectionTesterClassName

public void setConnectionTesterClassName(String connectionTesterClassName) throws PropertyVetoException

Throws:
  `PropertyVetoException`

### isForceIgnoreUnresolvedTransactions

public boolean isForceIgnoreUnresolvedTransactions()

### setForceIgnoreUnresolvedTransactions

public void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)

### getIdentityToken

public String getIdentityToken()

Specified by:
  `getIdentityToken` in interface `com.mchange.v2.c3p0.impl.IdentityTokenized`

### setIdentityToken

public void setIdentityToken(String identityToken)

Specified by:
  `setIdentityToken` in interface `com.mchange.v2.c3p0.impl.IdentityTokenized`

### setIdleConnectionTestPeriod

public void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)

### getIdleConnectionTestPeriod

public int getIdleConnectionTestPeriod()

### getInitialPoolSize

public int getInitialPoolSize()

### setInitialPoolSize

public void setInitialPoolSize(int initialPoolSize)

### getMaxIdleTime

public int getMaxIdleTime()

### setMaxIdleTime

public void setMaxIdleTime(int maxIdleTime)

### getMaxPoolSize

public int getMaxPoolSize()

### setMaxPoolSize

public void setMaxPoolSize(int maxPoolSize)

### getMaxStatements

public int getMaxStatements()

### setMaxStatements

public void setMaxStatements(int maxStatements)

### getMaxStatementsPerConnection

public int getMaxStatementsPerConnection()

### setMaxStatementsPerConnection

public void setMaxStatementsPerConnection(int mspc)

### getMinPoolSize

public int getMinPoolSize()

### setMinPoolSize

public void setMinPoolSize(int minPoolSize)

### getPreferredTestQuery

public String getPreferredTestQuery()

### setPreferredTestQuery

public void setPreferredTestQuery(String ptq)

### getPropertyCycle

public int getPropertyCycle()

### setPropertyCycle

public void setPropertyCycle(int propertyCycle)

### isTestConnectionOnCheckin

public boolean isTestConnectionOnCheckin()

### setTestConnectionOnCheckin

public void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)

### isTestConnectionOnCheckout

public boolean isTestConnectionOnCheckout()

### setTestConnectionOnCheckout

public void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)

### isUsesTraditionalReflectiveProxies

public boolean isUsesTraditionalReflectiveProxies()

### setUsesTraditionalReflectiveProxies

public void setUsesTraditionalReflectiveProxies(boolean utrp)

### getFactoryClassLocation

public String getFactoryClassLocation()

### setFactoryClassLocation

public void setFactoryClassLocation(String factoryClassLocation)

### getReference

public Reference getReference() throws NamingException

Specified by:
  `getReference` in interface `Referenceable`
Throws:
  `NamingException`

### getPooledConnection

public PooledConnection getPooledConnection() throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getPooledConnection

public PooledConnection getPooledConnection(String user, String password) throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getLogWriter

public PrintWriter getLogWriter() throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### setLoginTimeout

public void setLoginTimeout(int seconds) throws SQLException

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getLoginTimeout

public int getLoginTimeout() throws SQLException

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`